You need to be logged in to post in the forum - Log In

An active JCE Pro Subscription is required to post in the forum - Buy a Subscription

  1. GrannyKat14
  2. JCE Editor
  3. Wednesday, 23 October 2019
Cannot edit profiles - error message is


0 Using $this when not in object context


Firefox Developer console indicates:


Request URL:https://xxxxxxx/administrator/index.php?option=com_jce&view=profile&layout=edit&id=2
Request method:GET
Remote address:xxxxxxx
Status code:
500 Internal Server Error.
Version:HTTP/2.0



I've never had a problem with JCE standard before. Tried uninstalling and reinstalling standard, but same issues. Reinstalled JCE Pro 2.7.19. Also tried installing pkg_jce_pro_280-rc17 with same result.

Driving me crazy because I need to allow iframes in articles. Is there somewhere else I can add that parameter?

Thanks,
Kate
Accepted Answer
Accepted Answer Pending Moderation
The error points to a file path that does not exist in Joomla 3, but was present in Joomla 2.5. For some reason or another, this path is being used by the system, rather than the correct, current path, which is causing the error in JCE.

I have renamed the folder so it cannot be used and this has fixed the issue. The path was libraries/joomla/form/field and I have renamed it to libraries/joomla/form/_field
Just because you're not paranoid doesn't mean everybody isn't out to get you.
  1. more than a month ago
  2. JCE Editor
  3. # Permalink
Accepted Answer Pending Moderation
Just because you're not paranoid doesn't mean everybody isn't out to get you.
  1. more than a month ago
  2. JCE Editor
  3. # 1
Accepted Answer Pending Moderation
sent
  1. more than a month ago
  2. JCE Editor
  3. # 2
Accepted Answer Pending Moderation
wow - this is a new installation of Joomla 3.5x about 6 months ago. Thanks,
K.
  1. more than a month ago
  2. JCE Editor
  3. # 3
Accepted Answer Pending Moderation
wow - this is a new installation of Joomla 3.5x about 6 months ago. Thanks,


If this is the case, then I suspect that another extension you installed, which required the older files, may have installed them too.
Just because you're not paranoid doesn't mean everybody isn't out to get you.
  1. more than a month ago
  2. JCE Editor
  3. # 4
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!